using Furion;
using Furion.DatabaseAccessor;
using Microsoft.Extensions.DependencyInjection;
using YBEE.EQM.Core;

namespace YBEE.EQM.EntityFramework.Core
{
    public class Startup : AppStartup
    {
        public void ConfigureServices(IServiceCollection services)
        {
            services.AddDatabaseAccessor(options =>
            {
                options.AddDbPool<DefaultDbContext>($"{DbProvider.MySql}@8.0.31");
                options.AddDbPool<TqesDbContext, TqesDbContextLocator>(DbProvider.SqlServer);
            }, "YBEE.EQM.Database.Migrations");
        }
    }
}